---
title: DOMParser()
slug: Web/API/DOMParser/DOMParser
tags:
  - API
  - Constructor
  - DOM Parsing
  - Parsing
  - Reference
---
<p>The <strong><code>DOMParser()</code></strong> constructor creates a new <code><a href="/en-US/docs/Web/API/DOMParser">DOMParser</a></code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">var parser = new DOMParser();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_Value">Return Value</h3>

<p>A new <code><a href="/en-US/docs/Web/API/DOMParser">DOMParser</a></code> object. This object can be used to parse the text of a document using the <code>parseFromString()</code> method.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMParser.DOMParser")}}</p>
